Bug 607505 - inc::latest should be packaged in Module-Build subpackage, not the main perl package
inc::latest should be packaged in Module-Build subpackage, not the main perl ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 640714
  Show dependency treegraph
 
Reported: 2010-06-24 05:37 EDT by Paul Howarth
Modified: 2010-10-06 12:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 640714 (view as bug list)
Environment:
Last Closed: 2010-07-08 10:02:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2010-06-24 05:37:50 EDT
inc::latest and inc::latest::private (in fact everything under inc/ in the main perl package plus the manpage for inc::latest) should be part of the Module-Build subpackage, not the main package, since they are part of the Module-Build distribution. Having them in the main perl package will cause a file conflict when a dual-lifed perl-Module-Build package is created.

This is a similar issue to the one with version::Internals in Bug #549306.

I can fix it in CVS myself if you're busy.
Comment 1 Marcela Mašláňová 2010-07-08 10:02:16 EDT
I'm sorry for delay. I completely missed your message. 

This will be fixed in -125 in rawhide. Please next time feel free commit.

Note You need to log in before you can comment on or make changes to this bug.